      SUBROUTINE DMCVSF(A,KA,N,B)
      DOUBLE PRECISION A(1),B(1)
      A(1)=B(1)
      IF (N.LT.2) RETURN
      L=(N*(N+1))/2
C
      I=N
      ICOL=(N-1)*KA
      DO 11 ILOOP=2,N
      JI=I+ICOL
      DO 10 JLOOP=1,I
      A(JI)=B(L)
      L=L-1
   10 JI=JI-1
      I=I-1
   11 ICOL=ICOL-KA
C
      DO 21 I=2,N
      IIM1=I+ICOL
      ICOL=ICOL+KA
      JI=ICOL
      DO 20 IJ=I,IIM1,KA
      JI=JI+1
   20 A(IJ)=A(JI)
   21 CONTINUE
      RETURN
      END
